PM-CLEAN(1)

NAME
pm-clean - clean a local NCBI Entrez Direct archive

SYNOPSIS
pm-clean -db database [-fields fields] [-]clean|[-]clear|[-]scrap|[-]scrub|[-]scour|[-]erase|[-]zap|[-]scratch

DESCRIPTION
pm-clean cleans part or all of a local NCBI Entrez Direct archive.

OPTIONS

-db database
    Specific database to clean.

-fields fields
    Postings directories to delete in -scratch mode; none by default. Whitespace serves as the only delimiter, typically entailing shell quoting.

[-]clean|[-]clear
    Delete Indices contents and Increment files.

[-]scrap
    Delete all Postings directories.

[-]scrub
    Delete Indices contents, Increment files, and all Postings directories.

[-]scour
    Delete Indices contents, Increment files, and all Postings, Data, Archive, and Sentinel directories.

[-]erase
    Delete Indices contents, Increment files, all Postings, Data, Archive, and Sentinel directories, and Extras directory contents.

[-]zap
    Delete entire archive.

[-]scratch
    Delete Scratch directories and any Postsings directories specified by -fields.

ENVIRONMENT

EDIRECT_LOCAL_ARCHIVE
    Local archive directory to use; expected to hold an absolute path.

SEE ALSO
archive-nihocc(1), archive-nlmnlp(1), archive-nmcds(1), archive-pids(1), archive-pmc(1), archive-pubmed(1), archive-taxonomy(1), pm-prepare(1), pm-refresh(1), rchive(1).